Commit 98e57183 authored by David Douard's avatar David Douard
Browse files

[book] several fixes in the rst files

- prevent duplicate markup definitions,
- use existing Workflow markup instead of redefining one (in baseschema.rst)
- include dataimport
- fix non-existant directive autodocfunction
- remove the empty 'embedding.rst' file
parent cf445c8e4b03
......@@ -139,7 +139,7 @@ published on the `The Python Package Index`_.
.. _`virtualenv`: http://virtualenv.openplans.org/
A working compilation chain is needed to build the modules that include C
extensions. If you really do not want to compile anything, installing `Lxml <http://lxml.de/>`_,
extensions. If you really do not want to compile anything, installing `lxml <http://lxml.de/>`_,
`Twisted Web <http://twistedmatrix.com/trac/wiki/Downloads/>`_ and `libgecode
<http://www.gecode.org/>`_ will help.
......@@ -152,13 +152,15 @@ or, if you prefer to get as much as possible from pip::
apt-get install gcc python-pip python-dev libxslt1-dev libxml2-dev
For Windows, you can install pre-built packages (possible `source
<http://www.lfd.uci.edu/~gohlke/pythonlibs/>`_). For a minimal setup, install
`pip <http://www.lfd.uci.edu/~gohlke/pythonlibs/#pip>`_, `setuptools
<http://www.lfd.uci.edu/~gohlke/pythonlibs/#setuptools>`_, `libxml-python
<http://www.lfd.uci.edu/~gohlke/pythonlibs/#libxml-python>`_, `lxml
<http://www.lfd.uci.edu/~gohlke/pythonlibs/#lxml>`_ and `twisted
<http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted>`_ from this source making
sure to choose the correct architecture and version of Python.
<http://www.lfd.uci.edu/~gohlke/pythonlibs/>`_). For a minimal setup, install:
- pip http://www.lfd.uci.edu/~gohlke/pythonlibs/#pip
- setuptools http://www.lfd.uci.edu/~gohlke/pythonlibs/#setuptools
- libxml-python http://www.lfd.uci.edu/~gohlke/pythonlibs/#libxml-python>
- lxml http://www.lfd.uci.edu/~gohlke/pythonlibs/#lxml and
- twisted http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted
Make sure to choose the correct architecture and version of Python.
Finally, install |cubicweb| and its dependencies, by running::
......
......@@ -22,7 +22,7 @@ Entity types used to manage users and permissions
Entity types used to manage workflows
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* _`Workflow`, workflow entity, linked to some entity types which may use this workflow
* :ref:`Workflow <Workflow>`, workflow entity, linked to some entity types which may use this workflow
* _`State`, workflow state
* _`Transition`, workflow transition
* _`TrInfo`, record of a transition trafic for an entity
......
......@@ -22,4 +22,4 @@ separate layer and has its own whole chapter.
migration.rst
profiling.rst
fti.rst
dataimport
.. -*- coding: utf-8 -*-
Embedding external pages
------------------------
(:mod:`cubicweb.web.views.embedding`)
including external content
......@@ -8,6 +8,6 @@ including restructuredtext.
Three additional restructuredtext roles are defined by |cubicweb|:
.. autodocfunction:: cubicweb.ext.rest.eid_reference_role
.. autodocfunction:: cubicweb.ext.rest.rql_role
.. autodocfunction:: cubicweb.ext.rest.bookmark_role
.. autofunction:: cubicweb.ext.rest.eid_reference_role
.. autofunction:: cubicweb.ext.rest.rql_role
.. autofunction:: cubicweb.ext.rest.bookmark_role
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment